%define lib_major       3
%define lib_name        %mklibname xfcegui4_ %{lib_major}

Summary: 	Various GTK+ widgets for Xfce
Name: 		libxfcegui4
Version: 	4.2.1
Release: 	1mdk
License:	LGPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	gtk2-devel >= 2.0.6
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	dbh-devel
BuildRequires:	startup-notification-devel
BuildRequires:	libxml2-devel

%description
Various GTK+ widgets for Xfce.

%package -n %{lib_name}
Summary:	Gui libraries for Xfce
Group:		Graphical desktop/Xfce

%description -n %{lib_name}
Gui libraries for Xfce.

%package -n %{lib_name}-devel
Summary:	Libraries and header files for the %{name} library
Group:		Development/Other
Requires:	%{lib_name} = %{version}-%{release}
Provides:	libxfcegui4-devel

%description -n %{lib_name}-devel
Libraries and header files for the %{name} library.

%package -n %{name}-plugins
Summary:	Plugins for Xfce-utils and Xffm
Group:		Graphical desktop/Xfce

%description -n %{name}-plugins
Plugins for Xfce-utils and Xffm.

%prep
%setup -q

%build
# xinerama needs testing, see README
%configure2_5x --enable-xinerama --sysconfdir=%_sysconfdir/X11
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded devel files
rm -f %{buildroot}/%{_libdir}/xfce4/modules/*.a

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig


%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/*
%{_datadir}/gtk-doc/*

%files -n %{name}-plugins -f %name.lang
%defattr(-, root, root)
%{_libdir}/xfce4/*
%dir %{_datadir}/xfce4
%{_datadir}/xfce4/*

%changelog
* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- remove unneeded devel files

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Thu Nov 18 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-2mdk
- buildrequires libxml2-devel

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- add buildrequires dbh-devel startup-notification-devel
- adjust soname major
- add plugins package for Xfce-utils and Xffm
- add locale files

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Thu Jan 08 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- use configure2_5 and makeinstall_std

* Fri Nov 14 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- 4.0.1

* Mon Nov 10 2003 Marcel Pol <mpol@gmx.net> 4.0.0-1mdk
- initial mandrake package

